#!/usr/bin/env python
import os, string, sys
print "installing"
print "argv = " +  str(sys.argv)

def check_libs():
    try:
        import datetime
    except ImportError:
        print "Your python version is too old: it doesn't contain the module datetime."
        return False
    try:
        import qt
    except ImportError:
        print "You don't seem to have PyQt installed. Exiting."
        return False
    try:
        import kdecore
    except ImportError:
        print "You don't seem to have PyKDE installed. Exiting."
        return False
    return True
        

r = check_libs()
if r == True:
    work_dir = os.path.normpath(os.path.dirname( os.path.abspath(sys.argv[0])))
    print "work_dir = " + work_dir
    d = os.path.expandvars("$XDG_DATA_DIRS")
    if d == "$XDG_DATA_DIRS" or d == "":
        d = "/usr/local/share/:/usr/share/" # freedesktop.org default
    spl = string.split(d, ":")
    data_dirs = [os.path.normpath(x) for x in spl
                 if os.path.isdir(os.path.normpath(x))]
    # BEGIN suse has /usr/local/share/pixmaps, but SuSEconfig ignores it. To
    # overcome this bug, we use all the directories:
    for d in data_dirs:
        #d = data_dirs[0]
        print "data_dir = " + d
        if not os.path.isdir(d + "/pixmaps"):
            os.system("mkdir " +  d + "/pixmaps")
        if not os.path.isdir(d + "/applications"):
            os.system("mkdir " +  d + "/applications")
        if not os.path.exists(d + "/OneFinger"):
            os.system("mkdir " +  d + "/OneFinger")
            print ("Created dir " +  d + "/OneFinger")
        else:
            print "Warning: The directory " + d + "/OneFinger already exists. No problem."
        cmd = "cp " + work_dir + "/src/img/onefinger.png " +  d + "/pixmaps/"
        print cmd
        os.system(cmd)
        cmd = "cp " + work_dir + "/src/OneFinger.desktop " +  d + "/applications/"
        print cmd
        os.system(cmd)
    # END
    if not os.path.isdir("/usr/share/OneFinger"):
        cmd = "mkdir /usr/share/OneFinger"
        print cmd
        os.system(cmd)
    if not os.path.isdir("/usr/share/OneFinger/src"):
        cmd = "mkdir /usr/share/OneFinger/src"
        print cmd
        os.system(cmd)
    if not os.path.isdir("/usr/share/OneFinger/img"):
        cmd = "mkdir /usr/share/OneFinger/img"
        print cmd
        os.system(cmd)

    # copy images
    cmd = "cp  " + work_dir + "/src/img/* /usr/share/OneFinger/img/"
    print cmd
    os.system(cmd)

    # @@@ copy .py files in 
    cmd = "cp " + work_dir + "/src/python/*.py /usr/share/OneFinger/src/"
    print cmd
    os.system(cmd)


    cmd = "chmod a+x /usr/share/OneFinger/src/one-finger.py  /usr/share/OneFinger/src/one-finger-terminal.py "
    print cmd
    os.system(cmd)



    if os.path.exists("/usr/bin/one-finger"):
        cmd = "rm /usr/bin/one-finger"
        print cmd
        os.system(cmd)

    cmd = "ln -s /usr/share/OneFinger/src/one-finger.py /usr/bin/one-finger"
    print cmd
    os.system(cmd)


    

    print "\n\nOneFinger should now be available in your \"start menu\" (e.g. the K-menu in KDE). If it does not, run the configuration tool of your distro, like SuSEconfig on SUSE. You can also try to run \"kbuildsycoca\", which updates the K-menu. If you still can't find OneFinger in your start menu, type \"one-finger\" in a terminal.\n\n"
